Commit f38bcc4b authored by Chaoting Liu's avatar Chaoting Liu

vurtualbox fix oracle extension

parent afb2c5fd
......@@ -10,10 +10,10 @@ pkgname=('virtualbox'
'virtualbox-ext-vnc'
'virtualbox-ext-oracle')
pkgver=5.1.2
pkgrel=3
arch=('i686' 'x86_64')
pkgrel=4
arch=('x86_64')
url='http://virtualbox.org'
license=('GPL' 'custom')
license=('GPL')
makedepends=('alsa-lib'
'bin86'
'cdrkit'
......@@ -49,8 +49,7 @@ makedepends=('alsa-lib'
'vde2'
'xalan-c'
'xf86driproto'
'xorg-server-devel')
makedepends_x86_64=('gcc-multilib' 'lib32-glibc')
'xorg-server-devel' 'gcc' 'lib32-glibc')
source=("http://download.virtualbox.org/virtualbox/$pkgver/VirtualBox-$pkgver.tar.bz2"
'virtualbox-host-dkms.conf'
'virtualbox-guest-dkms.conf'
......@@ -391,8 +390,10 @@ package_virtualbox-ext-oracle() {
arch=('any')
license=('custom:PUEL')
depends=("virtualbox")
options=('emptydirs')
install=${pkgname}.install
install -Dm0644 ${srcdir}/PUEL "${pkgdir}/usr/share/licenses/${pkgname}/PUEL"
install -dm755 ${pkgdir}/usr/share/virtualbox/extensions
}
# vim:set ts=4 sw=4 et:
......@@ -17,13 +17,13 @@ virtualbox-ext-oracle-installer() {
echo "nothing to do, you are already using the latest VirtualBox Extension provided by Oracle"
else
wget $SRC_URL
install -m644 Oracle_VM_VirtualBox_Extension_Pack-${VBOXVER}.vbox-extpack ${DIR}/
cp -f Oracle_VM_VirtualBox_Extension_Pack-${VBOXVER}.vbox-extpack $DIR/
fi
}
post_install () {
virtualbox-ext-oracle-installer
VBoxManage extpack install "${DIR}/Oracle_VM_VirtualBox_Extension_Pack.vbox-extpack" >/dev/null
VBoxManage extpack install "${DIR}/Oracle_VM_VirtualBox_Extension_Pack-${VBOXVER}.vbox-extpack" >/dev/null
}
pre_upgrade() {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment